Search found 1218 matches

by Roy_043
Thu May 28, 2020 1:05 pm
Forum: Help on using FreeCAD
Topic: [ Fixed ] [ Ticket #4144 ] Sketcher: Point-point-point symmetry: order of points?
Replies: 17
Views: 629

Re: [ Fixed ] [ Ticket #4144 ] Sketcher: Point-point-point symmetry: order of points?

@Pauvres_honteux: "Could there be ... cases where the symmetrical point gets flipped?" Of course. You suggestion regarding the tree seems peculiar as none of the other elements in a sketch are listed in the tree. Using "Original Point 1" and "Symmetry of Point 1" would be confusing as no objects are...
by Roy_043
Thu May 28, 2020 12:45 pm
Forum: Python scripting and macros
Topic: mesh.getPlanes?
Replies: 7
Views: 181

Re: mesh.getPlanes?

Thanks.
by Roy_043
Thu May 28, 2020 8:13 am
Forum: Python scripting and macros
Topic: mesh.getPlanes?
Replies: 7
Views: 181

Re: mesh.getPlanes?

Thanks. But that method seems to always return an empty list: import Mesh import Part import MeshPart planarMesh = [ # triangle 1 [-0.5000, -0.5000, 0.0000], [0.5000, 0.5000, 0.0000], [-0.5000, 0.5000, 0.0000], #triangle 2 [-0.5000, -0.5000, 0.0000], [0.5000, -0.5000, 0.0000], [0.5000, 0.5000, 0.000...
by Roy_043
Wed May 27, 2020 6:10 pm
Forum: Python scripting and macros
Topic: mesh.getPlanes?
Replies: 7
Views: 181

Re: mesh.getPlanes?

Thanks, but as far as I understand the getPlanes method should combine co-planar triangular faces.
by Roy_043
Wed May 27, 2020 3:50 pm
Forum: Python scripting and macros
Topic: mesh.getPlanes?
Replies: 7
Views: 181

mesh.getPlanes?

I am trying to use the last code sample on the Mesh_to_Part wiki page.

Code: Select all

segments = mesh.getPlanes(0.00001)
Does not work, the method does not exist (anymore?). What should be used here?
by Roy_043
Wed May 27, 2020 1:23 pm
Forum: Help on using FreeCAD
Topic: As a beginner, should I use "release" 0.18 or "development" 0.19?
Replies: 10
Views: 266

Re: As a beginner, should I use "release" 0.18 or "development" 0.19?

There do seem to be issues with the model. In V0.18 I can open the file, but the GUI is unresponsive. And after a couple of button clicks I also get an error message: Unhandled Base::Exception caught in GUIApplication::notify. The error message is: Access violation This confirms what the OP is seein...
by Roy_043
Tue May 26, 2020 12:54 pm
Forum: Python scripting and macros
Topic: Problem with wiki mesh difference example
Replies: 1
Views: 104

Problem with wiki mesh difference example

On the Mesh_Scripting page there is the following example: import Mesh, BuildRegularGeoms sphere = Mesh.Mesh(BuildRegularGeoms.Sphere(5.0, 50)) cylinder = Mesh.Mesh(BuildRegularGeoms.Cylinder(2.0, 10.0, True, 1.0, 50)) diff = sphere diff = diff.difference(cylinder) d = FreeCAD.newDocument() d.addObj...
by Roy_043
Tue May 26, 2020 7:34 am
Forum: Help on using FreeCAD
Topic: [ Fixed ] [ Ticket #4144 ] Sketcher: Point-point-point symmetry: order of points?
Replies: 17
Views: 629

Re: [ Ticket #4144 ] Sketcher: Point-point-point symmetry: order of points?

rogermhsu wrote:
Tue May 26, 2020 6:46 am
two points and a line
No. The topic is about point-point-point symmetry. But there has been another discussion and even a vote about PPP symmetry.
Found it:
https://forum.freecadweb.org/viewtopic.php?f=3&t=45257